package cn.com.tenlion.staff.dao.basicstaffinfo;

import cn.com.tenlion.staff.pojo.dtos.basicstaffinfo.BasicStaffInfoDTO;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 人员信息Dao接口
 * @author xwangs
 * @create 2021-04-29 11:31
 * @description
 */
@Repository
public interface IBasicStaffInfoDao {

    List<BasicStaffInfoDTO> list(Map<String, Object> params);

    void save(Map<String, Object> params);

    List<Map<String, Object>> dataAll();

    BasicStaffInfoDTO getById(Map<String, Object> params);

    void update(Map<String, Object> params);

    void remove(Map<String, Object> params);

    void delete(Map<String, Object> params);

}
